<template>
  <div>
    <!--<img alt="Vue logo" src="./assets/logo.png">-->
    <!--<HelloWorld msg="Welcome to Your Vue.js App"/>-->
    <h1>Конвертер валют за курсом "ПриватБанку"</h1>
    <br />
    <table v-for="elem in array" v-bind:key="elem">
      <tr>
        <th>{{ elem.ccy }}</th>
      </tr>
      <button class="btn btn-success" @click="f(elem.ccy)">Обрати</button>
    </table>
    <h3>Конвертація з: {{ arr.ccy }} в: {{ arr.base_ccy }}</h3>
    <br />
    <h4>Введіть суму:</h4>
    <input type="text" v-model="summ" class="input" /><br />
    <br />    
    <h6>Округлена сума: {{ roundSumm }} {{ arr.ccy }} </h6>
    <br />
    <button type="submit" class="btn btn-success" @click="calculate">
      Розрахувати
    </button>
    <br />
    <h4>Покупка: {{ roundBuy }} ({{ arr.base_ccy }})</h4>
    <h4>Продаж: {{ roundSale }} ({{ arr.base_ccy }})</h4>
  </div>
</template>

<script>
import axios from "axios";
export default {
  name: "App",
  data() {
    return {
      array: [],
      arr: [],
      curr: "",
      summ: "",
      buy: "",      
      sale: ""      
    };
  },
  mounted: function () {
    axios
      .get("https://api.privatbank.ua/p24api/pubinfo?json&exchange&coursid=5")
      .then((response) => {
        console.log(response.data);
        this.array = response.data;
      });
  },
  methods: {
    f: function (curr) {
      this.arr = this.array.find((element) => {
        return element.ccy == curr;
      });
    },
    calculate: function () {
      this.buy = this.summ * this.arr.buy;
      this.sale = this.summ * this.arr.sale;
    },
  },
  computed: {  
    roundSumm: function () {
      return Math.round(this.summ * 100) / 100;
    },
      roundBuy: function () {
      return Math.round(this.buy * 100) / 100;
    },
    roundSale: function () {
      return Math.round(this.sale * 100) / 100;
    },
  },  
};
</script>

<style>
#app {
  display: flex;
  justify-content: center;
  font-family: Helvetica, Arial, sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  text-align: center;
  color: #2c3e50;
  margin-top: 60px;
}
</style>
